API referenceChatMessage
Updates the ChatMessage resource.
Updates the ChatMessage resource.
PATCH
/api/chat_messages/{id}/readcurl -X PATCH "/api/chat_messages/{id}/read" \
-H "apikey: $MEDIALISTER_API_KEY" \
-H "Content-Type: application/merge-patch+json" \
-d '{
"senderUser": "https://example.com/",
"conversation": "https://example.com/"
}'Authorization
apikeystringheaderrequiredValue for the apikey header parameter.
Parameters
idstringpathrequiredChatMessage identifier
Body
application/merge-patch+json
The updated ChatMessage resource
contentstringsenderTypeenum<integer> | nullOne of:012senderNamestringpublicSenderNamestring | nullsenderUserstring<iri-reference> | nulladminIdstring | nullexternalCustomerIdstring | nullThe end client an API client wrote the message for, always the order's external customer.
conversationstring<iri-reference>chatMessagesReadChatMessageRead[]readAtstring<date-time> | nullidstring<uuid>createdAtstring<date-time>updatedAtstring<date-time>ownMessageboolean
Response
application/ld+json
ChatMessage resource updated
@contextone of@idstringrequired@typestringrequiredcontentstringrequiredsenderTypeenum<integer> | nullOne of:012senderNamestringrequiredpublicSenderNamestring | nullsenderUserClientUser.jsonld-all.read | nullidstring<uuid>createdAtstring<date-time>updatedAtstring<date-time>
{
"@context": "string",
"@id": "string",
"@type": "string",
"content": "string",
"senderType": 0,
"senderName": "string",
"publicSenderName": "string",
"senderUser": {
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"country": "/api/geo_locations/0a097745-ff39-4659-8cae-a9bfb596a124",
"email": "string",
"phone": "+111 11111111",
"fullName": "John Doe",
"confirmedAt": "2026-01-15T09:30:00Z",
"invitedAt": "2026-01-15T09:30:00Z",
"bannedUntil": "2026-01-15T09:30:00Z",
"referredBy": "string",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z",
"publicId": "string"
},
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}